.PhantomDC 0.306 1.19c 
=======================
Bug Fixes
* Fixed a crash due to away messages/emulation
* Prompt on delete turned on by default now
* Right click remove from queue should now prompt you
* Fixed /log to work for non standard ports
* Text Selections are no longer removed when new lines are added to chat (from DC++)
* Chat does not scroll if you scroll higher up (may require you to click the text)


.PhantomDC 0.306 1.19c Test 4
==============================
New Features
* Webserver now needs a password to view the pages, at present it is pdc/pdc with no gui to change it
* Favorite Hub Menu
* Natural sorting 
  ie instead of sorting like 1,10,11,12,2,3,4,5,6,7,8,9
     it is sorted how you would think it would be 1,2,3,4,5,6,7,8,9,10,11,12
* Added option to not make tabs bold on non speech events (on by default)
* Able to set default priority for downloads
* Number of search results now added to window title
* Added remove from queue button to right click on transfer view
* Updated autocomplete.txt

Bug Fixes
* Non shared items do not show up in search results now 
* Fixed some webserver releated crashes
* Fixed bug stopping dc++ starting when pdc started
* A Few Column Names were wrong 
* Fixed a few bugs in the custom color settings dialog
* Removed non applicable items from the right click of uploads

.PhantomDC 0.306 1.19c Test 3
==============================
New Features
* Each shared folder can now be toggled 
* Paused Queue Items now have a customizable colour

Bug Fixes
* Cleaned up some repeating regexp and log code
* Fixed user filter to work with empty values
* Refresh is not a toggle button now
* Fixed /nomulti to work with links


.PhantomDC 0.306 1.19c Test 2
==============================
New Features
* User Right click menu in private frame
* Grant menu added to right click private frame tab
* Splash Screen added (thanks Zero)
* Refresh File list button added to toolbar
* Added "None" to filter drop down list
* Main toolbar can be changed without restarting
* Multiline Away Message
* Search frame tab goes bold on results
* /log will open hub/user chat log
* Added Two commandline arguments
  - /nomulti stops a new .PhantomDC starting and just activates the window of an old one
  - /askmulti prompts if you wish to start a new instance if .PhantomDC is already running
  Append one of these options to your pdc shortcut if you wish to use these.
  NOTE: each instance you wish to run must be in a separate folder.

Bug Fixes
* Fixed small bugs in settings pages
* Hopefully the toolbar no longer has crap for text
* Memory Leak due to Flashing Tray Icons Fixed (fix found in oDC)
* Fixed bug where default font/colour/size weren't reset properly
* Common Directories added to single selections in filelist rightclick download to menu


.PhantomDC 0.306 1.19b
=======================
Plugins
* WMP7+ supports /m show and /m title
* Media Plugin custom text (%[title] and %[playername] should work, winamp can do a few more (from bcdc))
* Plugins can flash tray icons when pdc minimized to tray
* Updated Window Pos Plugin (hopefully it doesn't wipe settings now)
* Window Pos Plugin saves Search Window Position correctly

New Features
* Added Download Directories + Auto Pick which dir to use based on file extension
* Added View by Priority to Download Queue
* Added Pause Download to Transfers
* Added customizable toolbar (pictures and order, see the toolbar directory for examples)
* Added Optional Toggle Buttons (from oDC)
* Tray Icon restored after explorer crashes
* Tray Icons now Flash between set icons every second
* Never Download from list (right click user to add them)
	NOTE: this does NOT stop them downloading off you
* Extended /watch to have /watch <user> [online, chat, away] 
* Copy Location in Search Window
* Changed Shift-up/down to Ctrl+Shift-up/down
* Added Download files as Hidden, unhidden when download is finished
* Disconnect instead of remove source option for min download speed
* Open Debug on start
* Added Recent Hubs from iDC 
* Away Button for Toolbar

Bug Fixes
* Fixed alot of plugin related crashes
* Fixed a crash when right clicking file without extension
* Auto priority disabled on manual set
* Filelist and small files dont use autopriority by default when the setting is on
* Changed Text colour on compressed part of download (as arnie fixed the color)
* Fixed Emulation drop down list
* Applied WTL 7.1 patch to fix close buttons
* Fixed Crash related to away message and colour chat


.PhantomDC 0.306 1.19a Release
===============================
Plugins
* Updated Media Plugin
* Added Window Position Saving Plugin
* Added Webshortcuts Plugin

New Features
* Added Auto Priority for downloads, and a use auto priority by default setting
* Made PhantomDC able to be translated to other languages (well hopefully)
* Added grant slot for custom time
* Added Plugin Settings Page
* Added Copy Location to Directory Listing Frames (for dchub://)
* Extended dchub://hubaddress/user/file to connect to hub, get users filelist and goto file
* Added dchub://[^ ]+ to default colours
* Added new icons to Settings Dialog (thou I need some nicer ones, and no I didn't copy this from oDC thou its in that too)
* Played around with the Settings Tree Layout (idea from oDC and BCDC)
* Added Transparent Background Setting
* Added Preview Application Settings (appear when right clicking Downloads in transfer/queue windows)
	Example Uses: Cutoff, Avi Preview, Explorer (open folder), Virtual dub, Winamp, Notepad
* Added /info to Hub Frame and /info to Private Messages
	Displays Info string (set in advanced2 settings) with fields filled out
	Available Fields = %[nick], %[tag], %[description], %[email], %[share],
	%[shareshort], %[ip], %[away], %[op], %[mode]
* When enabled PDC shows the last 10 lines said in a private message, in chosen colour
* Should only show Away mode (grey icon) in PhantomDC Emulation now
* Added Shift-Up/Down to scroll hub/private messages
* Added /hist and /!! to show last 10 things typed with /! <number> to repeat phrase/command
* Changed hub autocomplete to use $Supports 
* Added a remove [ISP] from autocomplete setting
* Added open my filelist (from zPoc)
* Customizable Timestamps (my code, but timestamps.txt from oDC source)
* Grant slot moved to submenu

Bug Fixes
* Fixed Disconnected Icon
* Fixed bug to do with small files
* Min Download speed is actually disabled when set to 0
* Fixed a few issues to do with $UserIP
* Hopefully fixed a Private Message bug related to emulation and away messages
* Fixed tooltip for upload queue button
* Usercommand menus dont show full name
* Can't add a fake <.P> to your description if you're not in pdc emulation

.PhantomDC 0.305 1.18c Release
===============================
New Features
* Min Download Speed from iDC
* Added Open Stats on startup setting
* Changed the Alt-Left/Right move windows shortcut to Alt+Shift-Left/Right
* Changed the Ctrl-Left/Right change windows shortcut to Alt-Left/Righ
* Added "Open X Extra Slots per hub" so that slots = slots + (extraslots * (hubs - 1)) 
* Added %[favuser] to colour chat, useful to highlight when a fav user of urs says something (ie .*%[favuser].*)
* Users marked as away are shown with a grey icon on the list
* Added AutoQueue To ADLSearch (Automatically adds ADLsearch results to your queue)
* Added DC++ changelog to the help menu
* Webserver doesn't require PhantomDC to be restarted to enable/disable it
* Added Port Setting for Webserver (sorry no password yet)
* Added a few different pages to the webserver
* Removed some redundant code in favour of 0.305 code
* Updated to 0.305

Bug Fixes
* Fixed Crash when sending pm to offline user
* Fixed crash when rightclicking empty spot in user list
* Fixed /down 0 to actually remove download limit =)
* Checks if Tray Icon entered exists and displays default one if it doesn't
* Made /watch a caseless compare
* Fixed /help
* Tried adding possibility to resume from some exceptions

NEW BCDC FEATURES
Searches now support "mp3 -cat" to find mp3s that dont have the word cat in it
Basic Lua Script support
No more NMDC emulation
Partial Upload logs also logs file requests now
auto-granting a slot when the amount left to complete falls below the "auto-grant slot for small files" threshold.


.PhantomDC 0.304 1.18b Release
===============================
New Features
* Added "Go to File" in search frame (from oDC) 
* Added very basic webserver (enabled in advanced settings) lets you see your queue and finished downloads (not secure anyone can connect to this and limited to port 80 atm)
* Added /resetcap and /checkcap (to see how much you've transfered since your last /resetcap) 
* Customizeable Time (in minutes) to refresh share 
* Setting to have "Only users with free slots" in search on by default  
* Able to set a custom tray Icon 
* Added /addregexp <style> <regexp> which adds <regexp> to the color format <style> 
* Added switch Windows with Ctrl-Left/Right 
* Added Move Tab with Alt-Left/Right 
* Changed rotate tabs to Alt-Up/Down 
* Added Setting to confirm deletions in queue 
* Added /getlist (also submitted to arnie + accepted in 0.304) 
* Added %[nick] colour functionality to private messages 
* Added ticks to current view, and current priorities in QueueFrame 
* Added Max Grant Slots and /maxgrantslots <num> 

Bug Fixes
* Plugins disabled on non PhantomDC emulation 
* Away message fixed for DC++ emulation 
* <.P> hidden on non PhantomDC emulation 
* Downloaded Amount/percentage in Download Queue updated every minute 
* Moved some settings from Advanced to Appearance 
* Items right clicked in upload queue are selected before menu pops up (dont need to left click first now) 
* Grey out mute/unmute in menu when not available 
* Added name to mute menu item 
* Changed URL's to use Arnies openLink method (should open in new window now) 
* Changed the format colour chat is stored in (to fix a bug), and made the engine more robust 
* Split File and Path into seperate columns in Finished Up/Down 
* Fixed crashed due to illegal regexps when using /regexp 
* Removed Tab from end of /l33t lines 
* change \r to \r\n on copy/quote/regexp 
* Fixed Download Queue not showing progress bar when there's an error 

.PhantomDC 0.301 1.18a Release
===============================
New Features
* Updated to 0.301
* Added Progressbars/Amount Downloaded to Queue Window
* Added %[nick] to colour regexps (the name of the person who just said something)
* Added Support for 4/5 Button Mouse (from oDC, untested)
* Added Alt-Shift-Number to swap the current tab, with the numbered one
* Added 10 second reset counter for automute (if they dont say something for 10 seconds their linecount resets)
* Added /RegExp to PM Window
* Added alot of functionality to plugins
* Moved /media commands to media.dll plugin
* Added Alt-Left/Right to rotate the tabs down the bottom (ie shift tab-1 to tab-2 etc)
* Search results that are in your queue turn blue
* Added Setting to not Automatically Expand Queue Folders
* Prettier Progress Bars
* Queue items change colour when they have errors

Bug Fixes
* Fixed Automute to reset counter when you speak
* Fixed the move up/down button not being disabled when u move item to top/bottom
* Fixed Bug where highlighted text changes to normal format on next insert
* Fixed a bug with $ signs with certain bots
* Fixed Background colour changing back to normal
* Fixed %[mynick] and %[nick] for names with [ . ( ) ^ \ and + in them
* Progressbar text doesn't turn to black when selected if custom progress bar colour enabled
* Fixed Tooltip crash on hash

.PhantomDC 0.263 1.17b Release
===============================
New Features
* Added Colour Chat using Regular Expressions
* Added a Settings page to setup colour chat (settings page partially from odc, colour chat engine my own)
* Added /colour (/color) command to toggle colour in current hub/pm window
* Ability to change colors of the Tabs down the bottom
* Added User Filter like oDC but with RegExp Support (also Tag and IP COlumn)
* Added Setting to turn of the Tab Icons and the Numbers in the Window Tabs
* Added Winamp 3, Sonique, Media Player and Foobar2000 support to /media commands
* Change /l33t to use xml file (faster updates!!! donate now =P )
* Added /grant user to hub windows
* Added right click context menu to hubs and PM with copy, select all, search, and quote (partially from oDC)
* Added Tab Completion features to Private Message Windows
* Added Alt-0 as a window shortcut (well the other 9 were there...)
* Added Setting so you can choose if tray icon changes
* Opening a log bigger then 1MB gives you the option of using an external viewer (default: wordpad.exe)
* Added progressbar colour settings to the color page
* Added setting to stop Update popups showing on startup
* Added tooltip to search results
* Started a Plugin structure for PDC (not enabled in this version)
* Added /regexp regexp, which opens a new text frame containing lines that matched in current hub

BugFixes
* Found and fixed the "only first item in folder is added to queue" bug
* Reversed changes applied in the smart anti-frag patch which seemed to screw it up (hope it fixes it)
* Fixed Ctrl/Shift - Double Clicking Name in chat (PM/Filelist)
* Updated all URL's to the recoil site
* Moved Tab Icons and Numbers slightly to the right (is that better?)
* Fixed Autocomplete.txt to not have \n on the end (ooops)
* Changed Autocomplete.txt to autocomplete the full line (multiple words)
* Fixed DC++ right click bugs
* Fixed away message and /.pdc++ to show pdc version again =D
* Fixed Passive Icons
* Tray Icon should turn black again when all hubs are reconnected
* Fixed Logs to use LOG_DIRECTORY instead of appdir + \logs\ (Thanks H@ppy)
* Fixed Name Highlighting since last test release
* Fixed /me in Private Message


.PhantomDC 0.263 1.17a
=======================
* All new features in DC++ 0.263 and BCDC++ 0.263
* Added Alternate Nick Support
* PDC reconnects on "nick in use" and makes the hubs tab red (changes nick is alterate is given)
* View Download Queue by User/Hub (right click folder in Queue and select view -> ...)
* Right Click menus can now open User Log/Hub Log if Logging enabled
* PM Windows now notify you when a user goes offline
* PM windows now have clickable urls
* PM Windows now have command history (Ctrl-Up Ctrl-Down etc)
* "/pm User Message" to send Message to User in a private message (/msg is same, without a message it just opens pm window)
* Added Tile Vertically to Windows Menu
* Can Remove multiple people from fav users
* Anything in autocomplete.txt is available for tab completion
* Hubs can add tab completion commands
* Taskbar icon can change when pm received, download finished, and disconnections
* Added right click menu to tray icon, with Show, Refresh and Exit Options
* /showqueue appends a "(Users: #)" on the end
* /automute X will mute a user if they say X lines in a row (doesn't check time between messages, so in smaller hubs people might be accidently muted)
* /clearmuted will remove all users from mute list
* Added Favourite users and Search Spy to Toolbar (using CZDC SearchSpy Icon)
* Patch to make the anti-frag feature smarter (thanks Distiller)
  - http://www.lowertech.net/dcpppatch/
  - Download will resume from last saved position even if DC++ crashes
  - The file is not truncated when exiting DC++
  - The queueitems are aware of the current download and progress
* Added "open downloaded filelists" right click (Sarf's code from URL below + missing crap)
  - http://www.fukt.bth.se/~k/dcpp/howto/implement_opening_downloaded_filelists_of_users.txt
* Added a comments field for favourite users
* Added a dialog that popsup if you try search while not connected (Gratch's Code)
* Added Show/Hide Transfers and Ctrl-1 -> Ctrl-3 shortcuts for Toolbar, Statusbar, Transfers (from oDC)
* Added Icons and Numbers to bottom tabs, use Alt-1 -> Alt-9 (from oDC)

.PhantomDC 0.261 1.16a
=======================
* Tab Completion (thanks to oDC)
* Ability to have custom coloured progress bars (/upcolour r,g,b , /downcolour r,g,b)
* /me messages (/me screams like a retard and runs off => *Twink screams ....)
* /commands added to /help
* /mute user (hide user's messages in main chat)
* /watch user (notify when user comes online)
* Ability to control winamp 2.x /m (then one of: show play stop skip back title pause)
* some other stuff
* Other features from BCDC too (thanks)